View Issue Details

IDProjectCategoryView StatusLast Update
0000713SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.9 
Target Version3.0.10Fixed in Version3.0.10 
Summary0000713: Automate upgrade from 2.x to 3.x on most platforms
DescriptionAutomate upgrade from 2.x to 3.x on Postgres, Oracle, MySQL, SQL Server and H2
TagsNo tags attached.

Activities

chenson

2012-07-15 20:09

administrator   ~0000035

Derby doesn't support this type of upgrade.

chenson

2012-07-15 20:28

administrator   ~0000036

HSQLDB doesn't support this type of upgrade

Related Changesets

SymmetricDS: master 88cbcc4e

2012-07-15 18:19:51

chenson

Details Diff
0000713: Upgrade from 2.x to 3.x requires a type change of some sym_ table columns from INT to BIGINT. Tables should not be rebuilt.
0000713
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Column.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/h2/H2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DatabasePlatformTest.java Diff File

SymmetricDS: master 03aa6f84

2012-07-15 20:28:31

chenson

Details Diff
0000713: Upgrade from 2.x to 3.x requires a type change of some sym_ table columns from INT to BIGINT. Tables should not be rebuilt.
0000713
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/db2/Db2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/h2/H2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/hsqldb2/HsqlDb2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/firebird/FirebirdDdlReader.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DatabasePlatformTest.java Diff File
mod - symmetric-jdbc/src/test/resources/db-test.properties Diff File

SymmetricDS: master e3e7b5dc

2012-07-15 20:31:59

chenson

Details Diff
0000713: Upgrade from 2.x to 3.x requires a type change of some sym_ table columns from INT to BIGINT. Tables should not be rebuilt.
0000713
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DatabasePlatformTest.java Diff File

SymmetricDS: master e5deeabb

2012-07-16 08:42:42

chenson

Details Diff
0000713: Upgrade from 2.x to 3.x requires a type change of some sym_ table columns from INT to BIGINT. Tables should not be rebuilt.
0000713
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/db2/Db2DdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlBuilder.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DatabasePlatformTest.java Diff File

SymmetricDS: master 046bb1ae

2012-07-16 18:50:21

chenson

Details Diff
0000713: Upgrade from 2.x to 3.x requires a type change of some sym_ table columns from INT to BIGINT. Tables should not be rebuilt.
0000713
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlBuilder.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlReader.java Diff File

SymmetricDS: master 73fd8f1a

2012-07-21 09:34:01

chenson

Details Diff
0000713: Automate upgrade from 2.x to 3.x
0000713
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlBuilder.java Diff File

SymmetricDS: master 230628c6

2012-07-21 13:57:48

chenson

Details Diff
0000713: Automate upgrade from 2.x to 3.x for mysql
0000713
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlBuilder.java Diff File

SymmetricDS: master b2791aed

2012-07-21 14:08:51

chenson

Details Diff
0000713: Automate upgrade from 2.x to 3.x for mysql
0000713
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlBuilder.java Diff File

SymmetricDS: master 5e4a3de7

2012-07-22 14:56:45

chenson

Details Diff
0000713: Automate upgrade from 2.x to 3.x for sql server
0000713
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/AddIndexChange.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/IndexImpBase.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlBuilder.java Diff File
mod - symmetric-jdbc/src/test/resources/db-test.properties Diff File

SymmetricDS: master 85f69298

2012-07-22 14:57:45

chenson

Details Diff
0000713: Automate upgrade from 2.x to 3.x for sql server
0000713
mod - symmetric-jdbc/src/test/resources/db-test.properties Diff File

SymmetricDS: master 55b1b942

2012-07-22 15:16:46

chenson

Details Diff
0000713: Automate upgrade from 2.x to 3.x for h2
0000713
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/h2/H2DdlBuilder.java Diff File

Issue History

Date Modified Username Field Change
2012-07-15 18:19 chenson New Issue
2012-07-15 18:19 chenson Status new => assigned
2012-07-15 18:19 chenson Assigned To => chenson
2012-07-15 18:24 chenson Target Version => 3.0.10
2012-07-15 20:09 chenson Note Added: 0000035
2012-07-15 20:28 chenson Note Added: 0000036
2012-07-21 09:35 chenson Summary Upgrade from 2.x to 3.x requires a type change of some sym_ table columns from INT to BIGINT. Tables should not be rebuilt. => Automate upgrade from 2.x to 3.x on most platforms
2012-07-21 09:35 chenson Description Updated View Revisions
2012-07-22 15:17 chenson Description Updated View Revisions
2012-07-22 15:17 chenson Status assigned => resolved
2012-07-22 15:17 chenson Resolution open => fixed
2012-07-23 16:02 chenson Status resolved => closed
2012-07-23 16:16 chenson Fixed in Version => 3.0.10
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6034
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6035
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6036
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6037
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6041
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6048
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6049
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6050
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6051
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6052
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6053
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 55b1b942
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 85f69298
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5e4a3de7
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master b2791aed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 230628c6
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 73fd8f1a
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 046bb1ae
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master e5deeabb
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master e3e7b5dc
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 03aa6f84
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 88cbcc4e